unit Smtppop3;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, CCICCFRM;

type
  TSMTPPOP3Form = class(TComponent)
  private
    { Private declarations }
    FCCINetCCForm : TCCINetCCForm;
    FOnCreate     : TNotifyEvent;
    FOnDestroy    : TNotifyEvent;
    FOnShow       : TNotifyEvent;
    FTop          : Integer;
    FLeft         : Integer;
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create( AOwner : TComponent ); override;
    destructor Destroy; override;
    procedure Show;
  published
    { Published declarations }
    property Top : Integer read FTop write FTop;
    property Left : Integer read FLeft write FLeft;
    property OnCreate : TNotifyEvent read FOnCreate write FOnCreate;
    property OnDestroy : TNotifyEvent read FOnDestroy write FOnDestroy;
    property OnShow : TNotifyEvent read FOnShow write FOnShow;
  end;

procedure Register;

implementation

constructor TSMTPPOP3Form.Create( AOwner : TComponent );
begin
  inherited Create( AOwner );
  FCCINetCCForm := TCCINetCCForm.Create( Application.MainForm );
  FCCINetCCForm.Visible := false;
  if Assigned( FOnCreate ) then OnCreate( Self );
end;

destructor  TSMTPPOP3Form.Destroy;
begin
  if Assigned( FOnDestroy ) then OnDestroy( Self );
  if Assigned( FCCINetCCForm ) then FCCINetCCForm.Close;
  inherited Destroy;
end;

procedure  TSMTPPOP3Form.Show;
begin
  if Assigned( FOnShow ) then OnShow( Self );
  FCCINetCCForm.Position := poDesigned;
  FCCINetCCForm.Top := Top;
  FCCINetCCForm.Left := Left;
  FCCINetCCForm.Visible := true;
  FCCINetCCForm.Show;
end;

procedure Register;
begin
  RegisterComponents('Goodies', [TSMTPPOP3Form]);
end;

end.
